# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_xcluster`](#dsc_xcluster): The DSC xCluster resource type. Automatically generated from version 1.7.0.0
* [`dsc_xclusterdisk`](#dsc_xclusterdisk): The DSC xClusterDisk resource type. Automatically generated from version 1.7.0.0
* [`dsc_xclusternetwork`](#dsc_xclusternetwork): The DSC xClusterNetwork resource type. Automatically generated from version 1.7.0.0
* [`dsc_xclusterpreferredowner`](#dsc_xclusterpreferredowner): The DSC xClusterPreferredOwner resource type. Automatically generated from version 1.7.0.0
* [`dsc_xclusterquorum`](#dsc_xclusterquorum): The DSC xClusterQuorum resource type. Automatically generated from version 1.7.0.0
* [`dsc_xwaitforcluster`](#dsc_xwaitforcluster): The DSC xWaitForCluster resource type. Automatically generated from version 1.7.0.0

## Resource types

### `dsc_xcluster`

The DSC xCluster resource type.
Automatically generated from version 1.7.0.0

#### Properties

The following properties are available in the `dsc_xcluster` type.

##### `dsc_staticipaddress`

Data type: `String`

StaticIPAddress of the Cluster

#### Parameters

The following parameters are available in the `dsc_xcluster` type.

##### `dsc_domainadministratorcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to create the cluster

##### `dsc_name`

namevar

Data type: `String`

Name of the Cluster

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xclusterdisk`

The DSC xClusterDisk resource type.
Automatically generated from version 1.7.0.0

#### Properties

The following properties are available in the `dsc_xclusterdisk` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Define if the cluster disk should be added (Present) or removed (Absent). Default value is 'Present'.

##### `dsc_label`

Data type: `Optional[String]`

The disk label that should be assigned to the disk on the Failover Cluster disk resource.

#### Parameters

The following parameters are available in the `dsc_xclusterdisk` type.

##### `dsc_number`

namevar

Data type: `String`

The disk number of the cluster disk.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xclusternetwork`

The DSC xClusterNetwork resource type.
Automatically generated from version 1.7.0.0

#### Properties

The following properties are available in the `dsc_xclusternetwork` type.

##### `dsc_metric`

Data type: `Optional[String]`

The metric number for the cluster network. If the cluster network metric number is not in desired state it will be changed to match this metric number.

##### `dsc_name`

Data type: `Optional[String]`

The name of the cluster network. If the cluster network name is not in desired state it will be renamed to match this name.

##### `dsc_role`

Data type: `Optional[Enum['0', '1', '3']]`

he role of the cluster network. If the cluster network role is not in desired state it will change to match this role.

#### Parameters

The following parameters are available in the `dsc_xclusternetwork` type.

##### `dsc_address`

namevar

Data type: `String`

The adress for the cluster network in the format '10.0.0.0'.

##### `dsc_addressmask`

namevar

Data type: `String`

The adress mask for the cluster network in the format '255.255.255.0'.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xclusterpreferredowner`

The DSC xClusterPreferredOwner resource type.
Automatically generated from version 1.7.0.0

#### Properties

The following properties are available in the `dsc_xclusterpreferredowner` type.

##### `dsc_clusterresources`

Data type: `Optional[Array[String]]`

he resources to set preferred owners on.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

If the preferred owners should be present or absent. Default value is 'Present'.

##### `dsc_nodes`

Data type: `Array[String]`

The nodes to set as owners.

#### Parameters

The following parameters are available in the `dsc_xclusterpreferredowner` type.

##### `dsc_clustergroup`

namevar

Data type: `String`

Name of the cluster group.

##### `dsc_clustername`

namevar

Data type: `String`

Name of the cluster.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xclusterquorum`

The DSC xClusterQuorum resource type.
Automatically generated from version 1.7.0.0

#### Properties

The following properties are available in the `dsc_xclusterquorum` type.

##### `dsc_resource`

Data type: `Optional[String]`

 

##### `dsc_type`

Data type: `Optional[Enum['NodeMajority', 'NodeAndDiskMajority', 'NodeAndFileShareMajority', 'DiskOnly']]`

 

#### Parameters

The following parameters are available in the `dsc_xclusterquorum` type.

##### `dsc_issingleinstance`

namevar

Data type: `Enum['Yes']`

 

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xwaitforcluster`

The DSC xWaitForCluster resource type.
Automatically generated from version 1.7.0.0

#### Properties

The following properties are available in the `dsc_xwaitforcluster` type.

##### `dsc_retrycount`

Data type: `Optional[Integer[0, 4294967295]]`

Maximum number of retries to check cluster existency

##### `dsc_retryintervalsec`

Data type: `Optional[Integer[0, 18446744073709551615]]`

Interval to check the cluster existency

#### Parameters

The following parameters are available in the `dsc_xwaitforcluster` type.

##### `dsc_name`

namevar

Data type: `String`

Name of the cluster

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

